<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search on Website</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }
        .search-container {
            margin-bottom: 20px;
        }
        .search-input {
            width: 100%;
            padding: 10px;
            font-size: 16px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        .content-item {
            background: #fff;
            padding: 20px;
            margin: 10px 0;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
    </style>
</head>
<body>

<div class="search-container">
    <input type="text" id="searchInput" class="search-input" placeholder="Search...">
</div>

<div class="content">
    <div class="content-item">Apple</div>
    <div class="content-item">Banana</div>
    <div class="content-item">Orange</div>
    <div class="content-item">Pineapple</div>
    <div class="content-item">Mango</div>
</div>

<script>
    document.getElementById('searchInput').addEventListener('input', function() {
        let filter = this.value.toUpperCase();
        let content = document.getElementsByClassName('content-item');
        
        for (let i = 0; i < content.length; i++) {
            let item = content[i];
            if (item.innerHTML.toUpperCase().indexOf(filter) > -1) {
                item.style.display = "";
            } else {
                item.style.display = "none";
            }
        }
    });
</script>

</body>
</html>